#!/usr/bin/perl

use strict;
use warnings;

use Log::Read::Exim;
use Log::Read::Syslog;

my $fh = new Log::Read::Exim(file => '/var/log/exim4/mainlog',
                                statefile => '/tmp/x');

die unless($fh);


while ((my ($epoch, $line) = $fh->geteline()) == 2) {
    print "$epoch $line";
    # do something with $epoch and $line
}

$fh->save_state();

$fh = new Log::Read::Syslog(file => '/var/log/syslog',
                                statefile => '/tmp/y');

die unless($fh);

while ((my ($epoch, $line) = $fh->geteline()) == 2) {
    print "$epoch $line";
    # do something with $epoch and $line
}

$fh->save_state();
